diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovie.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovie.cs
index fb158ee..1f11c27 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovie.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovie.cs
@@ -1,70 +1,17 @@
-﻿using System.Collections.Generic;
-using System.Runtime.Serialization;
+﻿using System.Runtime.Serialization;
 
 namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
 {
   [DataContract]
-  public class TraktMovie : TraktMovieBase
+  public class TraktMovie
   {
-    [DataMember(Name = "certification")]
-    public string Certification { get; set; }
+    [DataMember(Name = "title", EmitDefaultValue = false)]
+    public string Title { get; set; }
 
-    [DataMember(Name = "overview")]
-    public string Overview { get; set; }
+    [DataMember(Name = "year", EmitDefaultValue = false)]
+    public int? Year { get; set; }
 
-    [DataMember(Name = "released")]
-    public long Released { get; set; }
-
-    [DataMember(Name = "runtime")]
-    public int Runtime { get; set; }
-
-    [DataMember(Name = "tagline")]
-    public string Tagline { get; set; }
-
-    [DataMember(Name = "rt_id")]
-    public string RtId { get; set; }
-
-    [DataMember(Name = "trailer")]
-    public string Trailer { get; set; }
-
-    [DataMember(Name = "url")]
-    public string Url { get; set; }
-
-    [DataMember(Name = "plays")]
-    public int Plays { get; set; }
-
-    [DataMember(Name = "watched")]
-    public bool Watched { get; set; }
-
-    [DataMember(Name = "in_collection")]
-    public bool InCollection { get; set; }
-
-    [DataMember(Name = "in_watchlist")]
-    public bool InWatchList { get; set; }
-
-    [DataMember(Name = "rating")]
-    public string Rating { get; set; }
-
-    [DataMember(Name = "rating_advanced")]
-    public int RatingAdvanced { get; set; }
-
-    [DataMember(Name = "ratings")]
-    public TraktRatings Ratings { get; set; }
-
-    [DataMember(Name = "genres")]
-    public List<string> Genres { get; set; }
-
-    [DataMember(Name = "images")]
-    public MovieImages Images { get; set; }
-
-    [DataContract]
-    public class MovieImages
-    {
-      [DataMember(Name = "fanart")]
-      public string Fanart { get; set; }
-
-      [DataMember(Name = "poster")]
-      public string Poster { get; set; }
-    }
+    [DataMember(Name = "ids")]
+    public TraktMovieId Ids { get; set; }
   }
 }
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovieSummary.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovieSummary.cs
index 895f331..865f04e 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovieSummary.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktMovieSummary.cs
@@ -6,16 +6,46 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
   [DataContract]
   public class TraktMovieSummary : TraktMovie
   {
-    [DataMember(Name = "last_updated")]
-    public long LastUpdated { get; set; }
+    [DataMember(Name = "images")]
+    public TraktMovieImages Images { get; set; }
 
-    [DataMember(Name = "people")]
-    public TraktPeople People { get; set; }
+    [DataMember(Name = "tagline")]
+    public string Tagline { get; set; }
 
-    [DataMember(Name = "stats")]
-    public TraktStatistics Stats { get; set; }
+    [DataMember(Name = "overview")]
+    public string Overview { get; set; }
 
-    [DataMember(Name = "top_watchers")]
-    public List<TraktTopWatcher> TopWatchers { get; set; }
+    [DataMember(Name = "released")]
+    public string Released { get; set; }
+
+    [DataMember(Name = "runtime")]
+    public int? Runtime { get; set; }
+
+    [DataMember(Name = "trailer")]
+    public string Trailer { get; set; }
+
+    [DataMember(Name = "updated_at")]
+    public string UpdatedAt { get; set; }
+
+    [DataMember(Name = "homepage")]
+    public string Homepage { get; set; }
+
+    [DataMember(Name = "certification")]
+    public string Certification { get; set; }
+
+    [DataMember(Name = "rating")]
+    public double? Rating { get; set; }
+
+    [DataMember(Name = "votes")]
+    public int Votes { get; set; }
+
+    [DataMember(Name = "language")]
+    public string Language { get; set; }
+
+    [DataMember(Name = "available_translations")]
+    public List<string> AvailableTranslations { get; set; }
+
+    [DataMember(Name = "genres")]
+    public List<string> Genres { get; set; }
   }
-}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktPerson.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktPerson.cs
index d25f082..99f2d3c 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktPerson.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktPerson.cs
@@ -8,14 +8,7 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
     [DataMember(Name = "name")]
     public string Name { get; set; }
 
-    [DataMember(Name = "images")]
-    public PersonImages Images { get; set; }
-
-    [DataContract]
-    public class PersonImages
-    {
-      [DataMember(Name = "headshot")]
-      public string Headshot { get; set; }
-    }
+    [DataMember(Name = "ids")]
+    public TraktPersonId Ids { get; set; }
   }
-}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShow.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShow.cs
index 1f3bc4c..9049937 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShow.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShow.cs
@@ -1,5 +1,4 @@
-﻿using System.Collections.Generic;
-using System.Runtime.Serialization;
+﻿using System.Runtime.Serialization;
 
 namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
 {
@@ -10,100 +9,9 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
     public string Title { get; set; }
 
     [DataMember(Name = "year")]
-    public int Year { get; set; }
+    public int? Year { get; set; }
 
-    [DataMember(Name = "url")]
-    public string Url { get; set; }
-
-    [DataMember(Name = "first_aired")]
-    public long FirstAired { get; set; }
-
-    [DataMember(Name = "first_aired_iso")]
-    public string FirstAiredIso { get; set; }
-
-    [DataMember(Name = "first_aired_utc")]
-    public long FirstAiredUtc { get; set; }
-
-    [DataMember(Name = "country")]
-    public string Country { get; set; }
-
-    [DataMember(Name = "overview")]
-    public string Overview { get; set; }
-
-    [DataMember(Name = "runtime")]
-    public int Runtime { get; set; }
-
-    [DataMember(Name = "network")]
-    public string Network { get; set; }
-
-    [DataMember(Name = "air_day")]
-    public string AirDay { get; set; }
-
-    [DataMember(Name = "air_day_utc")]
-    public string AirDayUtc { get; set; }
-
-    [DataMember(Name = "air_time")]
-    public string AirTime { get; set; }
-
-    [DataMember(Name = "air_time_utc")]
-    public string AirTimeUtc { get; set; }
-
-    [DataMember(Name = "air_time_localized")]
-    public string AirTimeLocalized { get; set; }
-
-    [DataMember(Name = "certification")]
-    public string Certification { get; set; }
-
-    [DataMember(Name = "status")]
-    public string Status { get; set; }
-
-    [DataMember(Name = "imdb_id")]
-    public string Imdb { get; set; }
-
-    [DataMember(Name = "tvdb_id")]
-    public string Tvdb { get; set; }
-
-    [DataMember(Name = "tvrage_id")]
-    public string TvRage { get; set; }
-
-    [DataMember(Name = "in_watchlist")]
-    public bool InWatchList { get; set; }
-
-    [DataMember(Name = "watched")]
-    public bool Watched { get; set; }
-
-    [DataMember(Name = "plays")]
-    public int Plays { get; set; }
-
-    [DataMember(Name = "rating")]
-    public string Rating { get; set; }
-
-    [DataMember(Name = "rating_advanced")]
-    public int RatingAdvanced { get; set; }
-
-    [DataMember(Name = "ratings")]
-    public TraktRatings Ratings { get; set; }
-
-    [DataMember(Name = "genres")]
-    public List<string> Genres { get; set; }
-
-    [DataMember(Name = "images")]
-    public ShowImages Images { get; set; }
-
-    [DataContract]
-    public class ShowImages
-    {
-      [DataMember(Name = "fanart")]
-      public string Fanart { get; set; }
-
-      [DataMember(Name = "poster")]
-      public string Poster { get; set; }
-
-      [DataMember(Name = "banner")]
-      public string Banner { get; set; }
-
-      [DataMember(Name = "season")]
-      public string Season { get; set; }
-    }
+    [DataMember(Name = "ids")]
+    public TraktShowId Ids { get; set; }
   }
-}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShowSummary.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShowSummary.cs
index 42ff751..db2ae46 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShowSummary.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktShowSummary.cs
@@ -6,22 +6,71 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
   [DataContract]
   public class TraktShowSummary : TraktShow
   {
-    [DataMember(Name = "last_updated")]
-    public long LastUpdated { get; set; }
+    [DataMember(Name = "images")]
+    public TraktShowImages Images { get; set; }
 
-    [DataMember(Name = "people")]
-    public TraktPeople People { get; set; }
+    [DataMember(Name = "first_aired")]
+    public string FirstAired { get; set; }
 
-    [DataMember(Name = "stats")]
-    public TraktStatistics Stats { get; set; }
+    [DataMember(Name = "airs")]
+    public AirDate Airs { get; set; }
 
-    [DataMember(Name = "top_episodes")]
-    public List<TraktEpisode> TopEpisodes { get; set; }
+    [DataMember(Name = "runtime")]
+    public int? Runtime { get; set; }
 
-    [DataMember(Name = "top_watchers")]
-    public List<TraktTopWatcher> TopWatchers { get; set; }
+    [DataMember(Name = "certification")]
+    public string Certification { get; set; }
 
-    [DataMember(Name = "seasons")]
-    public List<TraktShowSeasonEx> Seasons { get; set; }
+    [DataMember(Name = "network")]
+    public string Network { get; set; }
+
+    [DataMember(Name = "country")]
+    public string Country { get; set; }
+
+    [DataMember(Name = "updated_at")]
+    public string UpdatedAt { get; set; }
+
+    [DataMember(Name = "overview")]
+    public string Overview { get; set; }
+
+    [DataMember(Name = "trailer")]
+    public string Trailer { get; set; }
+
+    [DataMember(Name = "homepage")]
+    public string Homepage { get; set; }
+
+    [DataMember(Name = "status")]
+    public string Status { get; set; }
+
+    [DataMember(Name = "rating")]
+    public double? Rating { get; set; }
+
+    [DataMember(Name = "votes")]
+    public int Votes { get; set; }
+
+    [DataMember(Name = "language")]
+    public string Language { get; set; }
+
+    [DataMember(Name = "available_translations")]
+    public List<string> AvailableTranslations { get; set; }
+
+    [DataMember(Name = "genres")]
+    public List<string> Genres { get; set; }
+
+    [DataMember(Name = "aired_episodes")]
+    public int AiredEpisodes { get; set; }
+
+    [DataContract]
+    public class AirDate
+    {
+      [DataMember(Name = "day")]
+      public string Day { get; set; }
+
+      [DataMember(Name = "time")]
+      public string Time { get; set; }
+
+      [DataMember(Name = "timezone")]
+      public string Timezone { get; set; }
+    }
   }
-}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktSyncMovieResponse.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktSyncMovieResponse.cs
index 8784bff..a6af3b8 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktSyncMovieResponse.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktSyncMovieResponse.cs
@@ -1,24 +1,21 @@
-﻿using System.Collections.Generic;
-using System.Runtime.Serialization;
-
-namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
+﻿namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
 {
-  [DataContract]
-  public class TraktSyncResponse : TraktResponse
-  {
-    [DataMember(Name = "inserted")]
-    public string Inserted { get; set; }
+  //[DataContract]
+  //public class TraktSyncResponse : TraktResponse
+  //{
+  //  [DataMember(Name = "inserted")]
+  //  public string Inserted { get; set; }
 
-    [DataMember(Name = "already_exist")]
-    public string AlreadyExist { get; set; }
+  //  [DataMember(Name = "already_exist")]
+  //  public string AlreadyExist { get; set; }
 
-    [DataMember(Name = "skipped")]
-    public string Skipped { get; set; }
+  //  [DataMember(Name = "skipped")]
+  //  public string Skipped { get; set; }
 
-    [DataMember(Name = "skipped_movies")]
-    public List<TraktMovieSync.Movie> SkippedMovies { get; set; }
+  //  [DataMember(Name = "skipped_movies")]
+  //  public List<TraktMovieSync.Movie> SkippedMovies { get; set; }
 
-    [DataMember(Name = "already_exist_movies")]
-    public List<TraktMovieSync.Movie> AlreadyExistMovies { get; set; }
-  }
-}
+  //  [DataMember(Name = "already_exist_movies")]
+  //  public List<TraktMovieSync.Movie> AlreadyExistMovies { get; set; }
+  //}
+}
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUser.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUser.cs
index fe7ad45..d143eb3 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUser.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUser.cs
@@ -8,34 +8,16 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
     [DataMember(Name = "username")]
     public string Username { get; set; }
 
-    [DataMember(Name = "protected")]
-    public bool Protected { get; set; }
-
-    [DataMember(Name = "full_name")]
+    [DataMember(Name = "name")]
     public string FullName { get; set; }
 
-    [DataMember(Name = "gender")]
-    public string Gender { get; set; }
-
-    [DataMember(Name = "age")]
-    public string Age { get; set; }
-
-    [DataMember(Name = "location")]
-    public string Location { get; set; }
-
-    [DataMember(Name = "about")]
-    public string About { get; set; }
-
-    [DataMember(Name = "joined")]
-    public long JoinDate { get; set; }
-
-    [DataMember(Name = "avatar")]
-    public string Avatar { get; set; }
+    [DataMember(Name = "vip")]
+    public bool IsVip { get; set; }
 
-    [DataMember(Name = "url")]
-    public string Url { get; set; }
+    [DataMember(Name = "vip_ep")]
+    public bool IsVipEP { get; set; }
 
-    [DataMember(Name = "vip")]
-    public bool VIP { get; set; }
+    [DataMember(Name = "private")]
+    public bool IsPrivate { get; set; }
   }
 }
\ No newline at end of file
diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserList.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserList.cs
index 2b18a61..f9a61eb 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserList.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/DataStructures/TraktUserList.cs
@@ -1,35 +1,32 @@
-﻿using System.Collections.Generic;
-using System.Runtime.Serialization;
-
-namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
+﻿namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt.DataStructures
 {
-  [DataContract]
-  public class TraktUserList
-  {
-    [DataMember(Name = "name")]
-    public string Name { get; set; }
+  //[DataContract]
+  //public class TraktUserList
+  //{
+  //  [DataMember(Name = "name")]
+  //  public string Name { get; set; }
 
-    [DataMember(Name = "slug")]
-    public string Slug { get; set; }
+  //  [DataMember(Name = "slug")]
+  //  public string Slug { get; set; }
 
-    [DataMember(Name = "url")]
-    public string Url { get; set; }
+  //  [DataMember(Name = "url")]
+  //  public string Url { get; set; }
 
-    [DataMember(Name = "description")]
-    public string Description { get; set; }
+  //  [DataMember(Name = "description")]
+  //  public string Description { get; set; }
 
-    [DataMember(Name = "privacy")]
-    public string Privacy { get; set; }
+  //  [DataMember(Name = "privacy")]
+  //  public string Privacy { get; set; }
 
-    [DataMember(Name = "show_numbers")]
-    public bool ShowNumbers { get; set; }
+  //  [DataMember(Name = "show_numbers")]
+  //  public bool ShowNumbers { get; set; }
 
-    [DataMember(Name = "allow_shouts")]
-    public bool AllowShouts { get; set; }
+  //  [DataMember(Name = "allow_shouts")]
+  //  public bool AllowShouts { get; set; }
 
-    [DataMember(Name = "items")]
-    public List<TraktUserListItem> Items { get; set; }
+  //  [DataMember(Name = "items")]
+  //  public List<TraktUserListItem> Items { get; set; }
 
-    public int SortOrder { get; set; }
-  }
+  //  public int SortOrder { get; set; }
+  //}
 }
\ No newline at end of file
